Name:    urlview
Version: 0.9
Release: %mkrel 19

Summary: A URL extractor/viewer for use with Mutt
License: GPLv2+
Group:   Networking/Mail
Url:     ftp://ftp.mutt.org/mutt/contrib/
Source0: ftp://ftp.mutt.org/mutt/contrib/%{name}-%{version}.tar.bz2
Patch0 : urlview-comma.patch2
Patch1:  urlview-0.9-use_firefox.patch
# fix #54424: fix segfault when opening an url
Patch2:  urlview-0.9-fix_segfault.patch

BuildRequires: slang
BuildRequires: slang-devel
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}

Requires: slang >= 0.99.38
Requires: webclient

%description
urlview extracts URLs from a given text file, and presents a menu
of URLs to view using a user specified command.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .firefox
%patch2 -b .segfault

%build
touch NEWS
autoreconf -fis
%configure --with-slang
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall
install -m755 url_handler.sh $RPM_BUILD_ROOT%{_bindir}/url_handler.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS ChangeLog COPYING
%doc INSTALL README sample.urlview 
%doc urlview.sgml
%{_bindir}/urlview
%{_bindir}/url_handler.sh
%{_mandir}/man1/urlview.1*


%changelog
* Thu Dec 12 2013 danf <danf> 0.9-19.mga4
+ Revision: 556402
- Added autoreconf to fix build with newer autoconf
- Removed binary Alpha hack

* Fri Oct 18 2013 umeabot <umeabot> 0.9-18.mga4
+ Revision: 519932
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.9-17.mga3
+ Revision: 385106
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 10 2011 jquelin <jquelin> 0.9-16.mga1
+ Revision: 4911
- imported package urlview

